Stop dispatching events

- « EventBase::dispatch

- EventBase::free »

- PHP Manual
- EventBase
- Stop dispatching events

# EventBase::exit

(PECL event >= 1.2.6-beta)

EventBase::exit — Stop dispatching events

### Description

public EventBase::exit( float `$timeout` = ?): bool

Tells event base to stop optionally after given number of seconds.

### Parameters

`timeout`

  Optional number of seconds after which the event base should stop dispatching events.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- EventBase::stop() - Tells event_base to stop dispatching events